APIMembers
Add Member
Add a member to an organization.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Path Parameters
org_id*Org Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to add a member to an organization.
Provide either email or user_id (email is preferred for UI usage).
Response Body
application/json
curl -X POST "https://example.com/v1/orgs/string/members" \ -H "Content-Type: application/json" \ -d '{}'{
"user_id": "string",
"org_id": "string",
"role_id": "string",
"user": {
"user_id": "string",
"email": "string",
"name": "string",
"avatar_url": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}